package com.qmth.teachcloud.common.bean.dto;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModelProperty;

/**
 * @Description: 云阅卷用户推送状态
 * @Author: CaoZixuan
 * @Date: 2022-08-08
 */
public class CloudUserPushStatusDto {
    @ApiModelProperty(value = "学校id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long schoolId;

    @ApiModelProperty(value = "用户id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long userId;

    @ApiModelProperty(value = "评卷员推送状态")
    private String markerStatus;

    @ApiModelProperty(value = "科组长推送状态")
    private String markerLeaderStatus;

    @ApiModelProperty(value = "同步状态")
    private String syncStatus;

    public Long getSchoolId() {
        return schoolId;
    }

    public void setSchoolId(Long schoolId) {
        this.schoolId = schoolId;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public String getMarkerStatus() {
        return markerStatus;
    }

    public void setMarkerStatus(String markerStatus) {
        this.markerStatus = markerStatus;
    }

    public String getMarkerLeaderStatus() {
        return markerLeaderStatus;
    }

    public void setMarkerLeaderStatus(String markerLeaderStatus) {
        this.markerLeaderStatus = markerLeaderStatus;
    }

    public String getSyncStatus() {
        return syncStatus;
    }

    public void setSyncStatus(String syncStatus) {
        this.syncStatus = syncStatus;
    }
}
